<!--

function Delegate(){}
Delegate.create=function(o,f){
var QBnFI=new Array();
var EAgpe=arguments.length;
for(var i=2;i<EAgpe;i++) QBnFI[i-2]=arguments[i];
return function(){
var RRDpv=[].concat(arguments,QBnFI);
f.apply(o,RRDpv);
}
}
Tween=function(obj,prop,func,begin,finish,duration,suffixe){
this.init(obj,prop,func,begin,finish,duration,suffixe)
}
var t=Tween.prototype;
t.obj=new Object();
t.prop='';
t.func=function(t,b,c,d){return c*t/d+b;};
t.begin=0;
t.change=0;
t.prevTime=0;
t.prevPos=0;
t.looping=false;
t.CaaRi=0;
t.IkMYo=0;
t.scMUt=0;
t.kNuuB=0;
t.ZQoEI=0;
t.SnaRj=0;
t.WkmnQ=false;
t.name='';
t.suffixe='';
t.ZscYA=new Array();
t.setTime=function(t){
this.prevTime=this.IkMYo;
if(t>this.getDuration()){
if(this.looping){
this.rewind(t-this.CaaRi);
this.update();
this.AAEkP('onMotionLooped',{target:this,type:'onMotionLooped'});
}else{
this.IkMYo=this.CaaRi;
this.update();
this.stop();
this.AAEkP('onMotionFinished',{target:this,type:'onMotionFinished'});
}
}else if(t<0){
this.rewind();
this.update();
}else{
this.IkMYo=t;
this.update();
}
}
t.isRunning=function(){
return this.WkmnQ;
}
t.getTime=function(){
return this.IkMYo;
}
t.setDuration=function(d){
this.CaaRi=(d==null||d<=0)?100000:d;
}
t.getDuration=function(){
return this.CaaRi;
}
t.setPosition=function(p){
this.prevPos=this.scMUt;
var a=this.suffixe!=''?this.suffixe:'';
this.obj[this.prop]=Math.round(p)+a;
this.scMUt=p;
this.AAEkP('onMotionChanged',{target:this,type:'onMotionChanged'});
}
t.getPosition=function(t){
if(t==undefined) t=this.IkMYo;
return this.func(t,this.begin,this.change,this.CaaRi);
};
t.setFinish=function(f){
this.change=f-this.begin;
};
t.geFinish=function(){
return this.begin+this.change;
};
t.init=function(obj,prop,func,begin,finish,duration,suffixe){
if(!arguments.length) return;
this.ZscYA=new Array();
this.addListener(this);
if(suffixe) this.suffixe=suffixe;
this.obj=obj;
this.prop=prop;
this.begin=begin;
this.scMUt=begin;
this.setDuration(duration);
if(func!=null&&func!=''){
this.func=func;
}
this.setFinish(finish);
}
t.start=function(){
this.rewind();
this.startEnterFrame();
this.AAEkP('onMotionStarted',{target:this,type:'onMotionStarted'});
}
t.rewind=function(t){
this.stop();
this.IkMYo=(t==undefined)?0:t;
this.fixTime();
this.update();
}
t.fforward=function(){
this.IkMYo=this.CaaRi;
this.fixTime();
this.update();
}
t.update=function(){
this.setPosition(this.getPosition(this.IkMYo));
}
t.startEnterFrame=function(){
this.stopEnterFrame();
this.WkmnQ=true;
this.onEnterFrame();
}
t.onEnterFrame=function(){
if(this.WkmnQ){
this.nextFrame();
wa_timeout(Delegate.create(this,this.onEnterFrame),0);
}
}
t.nextFrame=function(){
this.setTime((this.getTimer()-this.ZQoEI)/1000);
}
t.stop=function(){
this.stopEnterFrame();
this.AAEkP('onMotionStopped',{target:this,type:'onMotionStopped'});
}
t.stopEnterFrame=function(){
this.WkmnQ=false;
}
t.continueTo=function(finish,duration){
this.begin=this.scMUt;
this.setFinish(finish);
if(this.CaaRi!=undefined)
this.setDuration(duration);
this.start();
}
t.resume=function(){
this.fixTime();
this.startEnterFrame();
this.AAEkP('onMotionResumed',{target:this,type:'onMotionResumed'});
}
t.yoyo=function(){
this.continueTo(this.begin,this.IkMYo);
}
t.addListener=function(o){
this.removeListener(o);
return this.ZscYA.push(o);
}
t.removeListener=function(o){
var a=this.ZscYA;
var i=a.length;
while(i--){
if(a[i]==o){
a.splice(i,1);
return true;
}
}
return false;
}
t.AAEkP=function(){
var arr=new Array();
for(var i=0;i<arguments.length;i++){
arr.push(arguments[i])
}
var e=arr.shift();
var a=this.ZscYA;
var l=a.length;
for(var i=0;i<l;i++){
if(a[i][e])
a[i][e].apply(a[i],arr);
}
}
t.fixTime=function(){
this.ZQoEI=this.getTimer()-this.IkMYo*1000;
}
t.getTimer=function(){
return new Date().getTime()-this.IkMYo;
}
Tween.backEaseIn=function(t,b,c,d,a,p){
if(s==undefined) var s=1.70158;
return c*(t/=d)*t*((s+1)*t-s)+b;
}
Tween.backEaseOut=function(t,b,c,d,a,p){
if(s==undefined) var s=1.70158;
return c*((t=t/d-1)*t*((s+1)*t+s)+1)+b;
}
Tween.backEaseInOut=function(t,b,c,d,a,p){
if(s==undefined) var s=1.70158;
if((t/=d/2)<1) return c/2*(t*t*(((s*=(1.525))+1)*t-s))+b;
return c/2*((t-=2)*t*(((s*=(1.525))+1)*t+s)+2)+b;
}
Tween.elasticEaseIn=function(t,b,c,d,a,p){
if(t==0) return b;
if((t/=d)==1) return b+c;
if(!p) p=d*.3;
if(!a||a<Math.abs(c)){
a=c;var s=p/4;
}
else
var s=p/(2*Math.PI)*Math.asin(c/a);
return-(a*Math.pow(2,10*(t-=1))*Math.sin((t*d-s)*(2*Math.PI)/p))+b;
}
Tween.elasticEaseOut=function(t,b,c,d,a,p){
if(t==0) return b;if((t/=d)==1) return b+c;if(!p) p=d*.3;
if(!a||a<Math.abs(c)){a=c;var s=p/4;}
else var s=p/(2*Math.PI)*Math.asin(c/a);
return(a*Math.pow(2,-10*t)*Math.sin((t*d-s)*(2*Math.PI)/p)+c+b);
}
Tween.elasticEaseInOut=function(t,b,c,d,a,p){
if(t==0) return b;if((t/=d/2)==2) return b+c;if(!p) var p=d*(.3*1.5);
if(!a||a<Math.abs(c)){var a=c;var s=p/4;}
else var s=p/(2*Math.PI)*Math.asin(c/a);
if(t<1) return-.5*(a*Math.pow(2,10*(t-=1))*Math.sin((t*d-s)*(2*Math.PI)/p))+b;
return a*Math.pow(2,-10*(t-=1))*Math.sin((t*d-s)*(2*Math.PI)/p)*.5+c+b;
}
Tween.bounceEaseOut=function(t,b,c,d){
if((t/=d)<(1/2.75)){
return c*(7.5625*t*t)+b;
}else if(t<(2/2.75)){
return c*(7.5625*(t-=(1.5/2.75))*t+.75)+b;
}else if(t<(2.5/2.75)){
return c*(7.5625*(t-=(2.25/2.75))*t+.9375)+b;
}else{
return c*(7.5625*(t-=(2.625/2.75))*t+.984375)+b;
}
}
Tween.bounceEaseIn=function(t,b,c,d){
return c-Tween.bounceEaseOut(d-t,0,c,d)+b;
}
Tween.bounceEaseInOut=function(t,b,c,d){
if(t<d/2) return Tween.bounceEaseIn(t*2,0,c,d)*.5+b;
else return Tween.bounceEaseOut(t*2-d,0,c,d)*.5+c*.5+b;
}
Tween.strongEaseInOut=function(t,b,c,d){
return c*(t/=d)*t*t*t*t+b;
}
Tween.regularEaseIn=function(t,b,c,d){
return c*(t/=d)*t+b;
}
Tween.regularEaseOut=function(t,b,c,d){
return-c*(t/=d)*(t-2)+b;
}
Tween.regularEaseInOut=function(t,b,c,d){
if((t/=d/2)<1) return c/2*t*t+b;
return-c/2*((--t)*(t-2)-1)+b;
}
Tween.strongEaseIn=function(t,b,c,d){
return c*(t/=d)*t*t*t*t+b;
}
Tween.strongEaseOut=function(t,b,c,d){
return c*((t=t/d-1)*t*t*t*t+1)+b;
}
Tween.strongEaseInOut=function(t,b,c,d){
if((t/=d/2)<1) return c/2*t*t*t*t*t+b;
return c/2*((t-=2)*t*t*t*t+2)+b;
}
OpacityTween.prototype=new Tween();
OpacityTween.prototype.constructor=Tween;
OpacityTween.superclass=Tween.prototype;
function OpacityTween(obj,func,LoWrC,aWLsA,CaaRi){
this.targetObject=obj;
this.init(new Object(),'a',func,LoWrC,aWLsA,CaaRi);
this.onMotionChanged=function(evt){
var v=evt.target.scMUt;
var t=this.targetObject;
v=Math.round(v*100)/100
t.style['opacity']=v/100;
t.style['-moz-opacity']=v/100;
html_SetOpacity(t,v/100);
}
}
function html_canvas(IYBOa,IicTl,tjQrH)
{
return "<canvas id='"+IYBOa+"' width='"+IicTl+"' height='"+tjQrH+"'></canvas>"
}
function WA_canvas(IYBOa,IicTl,tjQrH)
{
document.write(html_canvas(IYBOa,IicTl,tjQrH))
}
function SRCHm(rwoIa,x0,y0,lx0,ly0)
{
var x=x0+lx0/2;var y=y0+ly0/2;var lx=lx0/2;var ly=ly0/2;var radius=lx0/2;var yRadius=ly0/2;
rwoIa.beginPath();
var theta,xrCtrl,yrCtrl,angleMid,px,py,cx,cy;
theta=Math.PI/4;xrCtrl=radius/Math.cos(theta/2);yrCtrl=yRadius/Math.cos(theta/2);var angle=0;
rwoIa.moveTo(x+radius,y);
for(var i=0;i<8;i++){
angle+=theta;angleMid=angle-(theta/2);cx=x+Math.cos(angleMid)*xrCtrl;cy=y+Math.sin(angleMid)*yrCtrl;px=x+Math.cos(angle)*radius;py=y+Math.sin(angle)*yRadius;
rwoIa.quadraticCurveTo(cx,cy,px,py);
}
}
function aOLUt(c,x,y,lx,ly,arc,clowckwise)
{
c.beginPath()
LbPaq(c,x,y,lx,ly,arc,clowckwise)
}
function LbPaq(c,x,y,lx,ly,arc,clowckwise)
{
if(clowckwise)
{
c.moveTo(x+arc,y);c.lineTo(x+lx-arc,y);c.quadraticCurveTo(x+lx,y,x+lx,y+arc);c.lineTo(x+lx,y+ly-arc);c.quadraticCurveTo(x+lx,y+ly,x+lx-arc,y+ly);c.lineTo(x+arc,y+ly);c.quadraticCurveTo(x,y+ly,x,y+ly-arc);c.lineTo(x,y+arc);c.quadraticCurveTo(x,y,x+arc,y);
return;
}
c.moveTo(x,y+arc);c.lineTo(x,y+ly-arc);c.quadraticCurveTo(x,y+ly,x+arc,y+ly);c.lineTo(x+lx-arc,y+ly);c.quadraticCurveTo(x+lx,y+ly,x+lx,y+ly-arc);c.lineTo(x+lx,y+arc);c.quadraticCurveTo(x+lx,y,x+lx-arc,y);c.lineTo(x+arc,y);c.quadraticCurveTo(x,y,x,y+arc);
}
function isWebKit()
{
if(navigator.userAgent.match(/webkit/i)) return true;
return false;
}
function isMSIE()
{
return BrowserDetect.browser=="Explorer" 
}
function isMSIE8()
{
if((BrowserDetect.browser=="Explorer")&&(BrowserDetect.version==8))
{
return true;
}
return false;
}
function ZvaLg()
{
return isWebKit();
}
function isMobileWithoutFlash()
{
return isIPhone();
}
function isMobileBrowser()
{
return isIPhone();
}
function isIPhone()
{
if(navigator.userAgent.match(/iPhone/i)||navigator.userAgent.match(/iPod/i))
return true;
return false;
}
function ikFQv(lx,ly,parent,id_suffixe)
{
var sohLW=document.createElement('canvas');sohLW.width=lx;sohLW.height=ly;
return sohLW;
}
function JkVEv(c,CuAde)
{
c.shadowOffsetX=2;c.shadowOffsetY=2;c.shadowBlur=4;
}
function WA_over_img_html(gJvBb,vJmxp,XoPDP)
{
if(!gJvBb.src)
{
var fBtCc=gJvBb.getElementsByTagName("IMG")
if(fBtCc.length==1)gJvBb=fBtCc[0]
}
if(gJvBb.src1==undefined)
{
gJvBb.src1=gJvBb.src;
gJvBb.src2=vJmxp;
}
if(XoPDP)
{
gJvBb.src=gJvBb.src2;
}
else
{
gJvBb.src=gJvBb.src1;
}
}
function WA_over_img(id,XoPDP)
{

var el=document.getElementById(id) 

var gJvBb=(XoPDP)?el.wa_s_img[1]:el.wa_s_img[0]
WA_img(id,el.wa_lx,el.wa_ly,el.wa_arc,el.wa_bord_siz,el.wa_bord_col,[gJvBb,gJvBb],el.wa_shadow,el.wa_rot)
}
function WA_img(id,lx,ly,arc,iPOpZ,bord_col,s_img,shadow,rot)
{
var el=document.getElementById(id)
var c=el.getContext('2d');
var sXPjU=(el.width-lx)/2;
if(el.wa_lx==undefined)
{
el.wa_lx=lx
el.wa_ly=ly
el.wa_arc=arc
el.wa_bord_siz=iPOpZ
el.wa_bord_col=bord_col
el.wa_s_img=s_img
el.wa_shadow=shadow
el.wa_rot=rot
c.translate(sXPjU,sXPjU)
}
var ZOGOw=document.getElementById(id+"-cache")
ZOGOw.onload=function()
{
c.clearRect(0,0,lx+2*sXPjU,ly+2*sXPjU)
var arc2=arc-iPOpZ;
if(arc2<0)arc2=0;
if(ZvaLg()==false)
{
if(shadow) dwcvT(c,0,0,lx,ly,arc,false,rot) 
this.width=lx-2*iPOpZ
this.height=ly-2*iPOpZ 

var ptrn=c.createPattern(this,'no-repeat');
c.fillStyle=ptrn;
c.beginPath() 
aOLUt(c,iPOpZ,iPOpZ,lx-2*iPOpZ,ly-2*iPOpZ,arc2)
c.translate(iPOpZ,iPOpZ)
c.fill()
c.translate(-iPOpZ,-iPOpZ)
if(iPOpZ>0)
{
c.fillStyle=bord_col;
aOLUt(c,0,0,lx,ly,arc)
LbPaq(c,iPOpZ,iPOpZ,lx-2*iPOpZ,ly-2*iPOpZ,arc2,true)
c.fill()
}
}
else
{
var canv2=ikFQv(lx,ly,el,"bis");
var c2=canv2.getContext('2d');
if(iPOpZ>0)
{
c2.fillStyle=bord_col;
aOLUt(c2,0,0,lx,ly,arc)
LbPaq(c2,iPOpZ,iPOpZ,lx-2*iPOpZ,ly-2*iPOpZ,arc2,true)
c2.fill()
}
aOLUt(c2,iPOpZ,iPOpZ,lx-2*iPOpZ,ly-2*iPOpZ,arc2)
c2.clip()
c2.drawImage(this,iPOpZ,iPOpZ,lx-2*iPOpZ,ly-2*iPOpZ);
if(shadow) JkVEv(c,rot)
c.drawImage(canv2,0,0);
}
}
ZOGOw.src=s_img[0];
}
function GwbJM(c,type,lx,ly,corner)
{
if(type==1)
SRCHm(c,0,0,lx,ly)
else
aOLUt(c,0,0,lx,ly,corner)
}
function ftCVK(el,c,type,lx,ly,corner,bg,aCaPb,rot)
{
if(ZvaLg()==false)
{
if(aCaPb) dwcvT(c,0,0,lx,ly,corner,(type==1),rot)
c.fillStyle=bg;
GwbJM(c,type,lx,ly,corner)
c.fill()
}
else
{
var canv2=ikFQv(lx,ly,el,"bis");
var c2=canv2.getContext('2d');
c2.fillStyle=bg;
GwbJM(c2,type,lx,ly,corner)
c2.fill()
if(aCaPb) JkVEv(c,rot)
c.drawImage(canv2,0,0);
c.shadowOffsetX=0;
c.shadowOffsetY=0;
c.shadowBlur=0;
}
}
function bqqYZ(c,type,lx,ly,OjYgF,bg,bTjZZ,dJLOW_glow)
{
if(bTjZZ)
{
var x1=bTjZZ[0];var y1=bTjZZ[1];var lx1=bTjZZ[2];var ly1=bTjZZ[3];var SNTZk=bTjZZ[4];
var bRQNZ=c.createLinearGradient(x1,y1,x1,y1+ly1);
bRQNZ.addColorStop(0,"rgba(255,255,255,0.7)");bRQNZ.addColorStop(1,"rgba(255,255,255,0.1)");
c.fillStyle=bRQNZ;
if(type==1) SRCHm(c,x1,y1,lx1,ly1)
else
aOLUt(c,x1,y1,lx1,ly1,SNTZk)
c.fill()
}
if(dJLOW_glow)
{
var x2=dJLOW_glow[0];var y2=dJLOW_glow[1];var lx2=dJLOW_glow[2];var ly2=dJLOW_glow[3];
var KmXth=dJLOW_glow[4];
var QUTuP_glow=new RGBColor(dJLOW_glow[5]);
QUTuP_glow.a=0;
var col1=dJLOW_glow[5];
var col2=QUTuP_glow.toRGB();
var EeXPT=c.createLinearGradient(x2,y2,x2,y2+ly2);
EeXPT.addColorStop(0,col2);
EeXPT.addColorStop(0.2,col2);
EeXPT.addColorStop(1,col1);
c.fillStyle=EeXPT;
if(type==1) SRCHm(c,x2,y2,lx2,ly2)
else
aOLUt(c,x2,y2,lx2,ly2,KmXth)
c.fill()
}
}
function FxJPw(MFwVe,IYBOa,qnZEP,IicTl,tjQrH,OjYgF,eoiGC,bTjZZ,dJLOW_glow,aCaPb,CuAde)
{
MFwVe.IYBOa=IYBOa;MFwVe.qnZEP=qnZEP;
MFwVe.IicTl=IicTl;MFwVe.tjQrH=tjQrH;
MFwVe.OjYgF=OjYgF;MFwVe.eoiGC=eoiGC,MFwVe.bTjZZ=bTjZZ;
MFwVe.dJLOW_glow=dJLOW_glow;MFwVe.aCaPb=aCaPb;MFwVe.CuAde=CuAde;
}
function WA_but_over(IYBOa,eoiGC_over,QUTuP_glow)
{
var hGGhu=document.getElementById(IYBOa) 
if(hGGhu&&hGGhu.fZgLY)
with(hGGhu.fZgLY)
{
var dJLOW_glow_over;
if(dJLOW_glow&&QUTuP_glow)
{
dJLOW_glow_over=new Array();
for(var SkmwE=0;SkmwE<dJLOW_glow.length;SkmwE++)dJLOW_glow_over[SkmwE]=dJLOW_glow[SkmwE];
dJLOW_glow_over[5]=QUTuP_glow;
}
WA_but(IYBOa,qnZEP,IicTl,tjQrH,OjYgF,eoiGC_over,bTjZZ,dJLOW_glow_over,aCaPb,CuAde);
}
var WtSfX_over0=document.getElementById(IYBOa+"-div0")
if(WtSfX_over0)html_SetVisibility(WtSfX_over0,false);
var AdaqR=document.getElementById(IYBOa+"-div1")
if(AdaqR)html_SetVisibility(AdaqR,true);
}
function WA_but_out(IYBOa)
{
var hGGhu=document.getElementById(IYBOa)
with(hGGhu.fZgLY)
{
WA_but(IYBOa,qnZEP,IicTl,tjQrH,OjYgF,eoiGC,bTjZZ,dJLOW_glow,aCaPb,CuAde);
}
var WtSfX_over0=document.getElementById(IYBOa+"-div0")
if(WtSfX_over0)html_SetVisibility(WtSfX_over0,true);
var AdaqR=document.getElementById(IYBOa+"-div1")
if(AdaqR)html_SetVisibility(AdaqR,false);
}
function WA_but(id,type,lx,ly,corner,bg,top_light,s_glow,shadow,rot)
{
var el=document.getElementById(id) 
if(el.fZgLY==undefined)
{
el.fZgLY=new Array();
FxJPw(el.fZgLY,id,type,lx,ly,corner,bg,top_light,s_glow,shadow,rot);
}
var c=el.getContext('2d');
var sXPjU=0;
if(shadow)sXPjU=6 

c.clearRect(0,0,lx+2*sXPjU,ly+2*sXPjU) 

c.translate(sXPjU,sXPjU)
var bg2=bg
if(bg2.substring(0,1)=="(")
{
bg2=bg2.substring(1)
bg2=bg2.substring(0,bg2.length-1)
var img=new Image();
img.onload=function()
{
if(ZvaLg()==false)
{
img.width=lx
img.height=ly 
dwcvT(c,0,0,lx,ly,corner,(type==1),rot)
var ptrn=c.createPattern(img,'no-repeat');
c.fillStyle=ptrn;
c.beginPath()
GwbJM(c,type,lx,ly,corner)
c.fill()
bqqYZ(c,type,lx,ly,corner,bg,top_light,s_glow)
}
else
{
var canv2=ikFQv(lx,ly,el,"bis");
var c2=canv2.getContext('2d');
c2.beginPath()
GwbJM(c2,type,lx,ly,corner)
c2.clip()
c2.drawImage(img,0,0,lx,ly);
bqqYZ(c2,type,lx,ly,corner,bg,top_light,s_glow)
if(shadow) JkVEv(c,rot) 
c.drawImage(canv2,sXPjU,sXPjU);
}
}
img.src=bg2;
}
else
{
ftCVK(el,c,type,lx,ly,corner,bg2,shadow,rot)
}

bqqYZ(c,type,lx,ly,corner,bg,top_light,s_glow) 
c.translate(-sXPjU,-sXPjU)
}
function dwcvT(c,x0,y0,lx0,ly0,corner,is_circle,rot)
{
var decShadow=2;
c.translate(decShadow,decShadow)
var dec_init=2;
var x=x0-dec_init;var y=y0-dec_init;var lx=lx0+2*dec_init;var ly=ly0+2*dec_init;var opacity=0.1;
for(var n=0;n<4;n++)
{
c.beginPath()
if(is_circle) SRCHm(c,x,y,lx,ly);else aOLUt(c,x,y,lx,ly,corner);
c.fillStyle="rgba(0,0,0, "+opacity+")"
c.fill()
x+=1;y+=1;lx-=2;ly-=2;opacity+=0.04
}
c.translate(-decShadow,-decShadow)
}
function sKsCZ(id,x,y,lx,ly,arc,iPOpZ,bord_col,bg,shadow,rot,RVuZs,rFMoG)
{
if(rFMoG==undefined)rFMoG=true;
var el=document.getElementById(id)
var c=el.getContext('2d');
if(RVuZs==undefined)RVuZs=1.0;
var sXPjU=0;
c.shadowOffsetX=0;
c.shadowOffsetY=0;
c.shadowBlur=0;
if(shadow)
{
sXPjU=6;
}
if(rFMoG) c.clearRect(0,0,el.width,el.height)
c.globalAlpha=RVuZs 
var x_rect0=0;
var y_rect0=0;
var bg1=bg[0]
var fill_obj=false;
if(bg1.substring(0,1)=="(")
{
bg1=bg1.substring(1);
bg1=bg1.substring(0,bg1.length-1)
var wCpaC=bg1.split(";");
var x1=parseFloat(wCpaC[0]);
var y1=parseFloat(wCpaC[1]);
var x2=parseFloat(wCpaC[2]);
var y2=parseFloat(wCpaC[3]);
var col1=wCpaC[4];
var col2=wCpaC[5];
var grad=c.createLinearGradient(x1,y1,x2,y2);
grad.addColorStop(0,col1);
grad.addColorStop(1,col2);
fill_obj=grad
}
else
{
if(bg1.length==0)bg1='rgba(0,0,0,0)'
fill_obj=bg1;
}
var arc2=arc-iPOpZ;
if(arc2<0)arc2=0
var canv2=false;
var c2=c;
{
if(shadow) dwcvT(c,sXPjU,sXPjU,lx,ly,arc,false,rot)
}
if(iPOpZ>0)
{
c2.fillStyle=bord_col;
aOLUt(c2,x,y,lx,ly,arc)
LbPaq(c2,x+iPOpZ,y+iPOpZ,lx-2*iPOpZ,ly-2*iPOpZ,arc2,true)
c2.fill()
}


c2.fillStyle=fill_obj 
aOLUt(c2,x+iPOpZ,y+iPOpZ,lx-2*iPOpZ,ly-2*iPOpZ,arc2)
c2.fill();
}
function qPsNs(ZVGoN,ocCUQ,AEtVk)
{
return new Point(Math.round(ZVGoN*Math.cos(AEtVk)-ocCUQ*Math.sin(AEtVk)),Math.round(ZVGoN*Math.sin(AEtVk)+ocCUQ*Math.cos(AEtVk)))
}
function dDmdm(c,x,y,lx,ly,arc,clowckwise,CuAde)
{
c.beginPath()
bkwIW(c,x,y,lx,ly,arc,clowckwise,CuAde)
}
function bkwIW(c,x,y,lx,ly,arc,clowckwise,CuAde)
{
if(clowckwise)
{
c.moveTo(x+arc,y);
c.lineTo(x+lx-arc,y);
c.quadraticCurveTo(x+lx,y,x+lx,y+arc);
c.lineTo(x+lx,y+ly-arc);
c.quadraticCurveTo(x+lx,y+ly,x+lx-arc,y+ly);
c.lineTo(x+arc,y+ly);
c.quadraticCurveTo(x,y+ly,x,y+ly-arc);
c.lineTo(x,y+arc);
c.quadraticCurveTo(x,y,x+arc,y);
return;
}
var qWrkA=[[x,y+arc],[x,y+ly-arc],[x,y+ly],[x+arc,y+ly],[x+lx-arc,y+ly],[x+lx,y+ly],[x+lx,y+ly-arc],[x+lx,y+arc],[x+lx,y],[x+lx-arc,y],[x+arc,y],[x,y],[x,y+arc]];
var theta=CuAde*2*Math.PI/360
for(var n=0;n<qWrkA.length;n++)
{
var XgWNG=qWrkA[n][0]
var Sdbwt=qWrkA[n][1]
qWrkA[n][0]=XgWNG*Math.cos(theta)-Sdbwt*Math.sin(theta);
qWrkA[n][1]=XgWNG*Math.sin(theta)+Sdbwt*Math.cos(theta);
}
var n=0;
c.moveTo(qWrkA[n][0],qWrkA[n++][1]);
c.lineTo(qWrkA[n][0],qWrkA[n++][1]);
c.quadraticCurveTo(qWrkA[n][0],qWrkA[n++][1],qWrkA[n][0],qWrkA[n++][1]);
c.lineTo(qWrkA[n][0],qWrkA[n++][1]);
c.quadraticCurveTo(qWrkA[n][0],qWrkA[n++][1],qWrkA[n][0],qWrkA[n++][1]);
c.lineTo(qWrkA[n][0],qWrkA[n++][1]);
c.quadraticCurveTo(qWrkA[n][0],qWrkA[n++][1],qWrkA[n][0],qWrkA[n++][1]);
c.lineTo(qWrkA[n][0],qWrkA[n++][1]);
c.quadraticCurveTo(qWrkA[n][0],qWrkA[n++][1],qWrkA[n][0],qWrkA[n++][1]);
}
function Xkmbp(a,b,x,y)
{
return(a*x-y+b)/(Math.sqrt(1+a*a))
}
function ZmIFb(new_a1,new_b1,JuCwl,multi)
{
var d=0;
for(var i=0;i<JuCwl.length;i++)
{
var hiwCY=JuCwl[i]
var d1=Xkmbp(new_a1,new_b1,hiwCY.x,hiwCY.y)
if(multi<0)
{
if(d1<0) d=Math.max(d,-d1);
}
else
{
if(d1>0) d=Math.max(d,d1);
}
}
return d;
}
function GRUDe(o1,o2)
{
if(o1<o2) return-1
if(o1>o2) return 1
return 0
}
function nAlrJ(c,lx,ly,bg1)
{
var fill_obj=false;
var IAHLE=false;
var nNeWx=false;
var JuCwl=false
if(bg1.substring(0,1)=="(")
{
bg1=bg1.substring(1);
bg1=bg1.substring(0,bg1.length-1)
var wCpaC=bg1.split(";");
var pVvod=new Point(parseFloat(wCpaC[0]),parseFloat(wCpaC[1]));
var vCluX=new Point(parseFloat(wCpaC[2]),parseFloat(wCpaC[3]));
IAHLE=pVvod.clone()
nNeWx=vCluX.clone()
var col1=wCpaC[4];
var col2=wCpaC[5];
var grad=c.createLinearGradient(IAHLE.x,IAHLE.y,nNeWx.x,nNeWx.y);
if(isMSIE())
{
IAHLE=pVvod.clone()
nNeWx=vCluX.clone() 
var bRQNZ=0;
var EeXPT=1;
{
JuCwl=[{x:0,y:0},{x:lx,y:0},{x:lx,y:ly},{x:0,y:ly}]
var d1=0;
var d2=0;
var a=(nNeWx.y-IAHLE.y)/(nNeWx.x-IAHLE.x);
var b=IAHLE.y-a*IAHLE.x;
var diff=1;
if(a==Infinity)
{
d1=(IAHLE.y)
d2=(ly-nNeWx.y)
}
else
if(a==0)
{
d1=(IAHLE.x)
d2=(lx-nNeWx.x)
}
else
{
var new_a1=-1/a;
var new_b1=IAHLE.y-new_a1*IAHLE.x;
d1=ZmIFb(new_a1,new_b1,JuCwl,-1)
var new_b2=nNeWx.y-new_a1*nNeWx.x;
d2=ZmIFb(new_a1,new_b2,JuCwl,1)
if(new_a1<0)diff=-1;
}
var d=Math.sqrt(Math.pow(nNeWx.x-IAHLE.x,2)+Math.pow(nNeWx.y-IAHLE.y,2))
var total=(d1+d+d2)
bRQNZ=d1/total;
EeXPT=(d1+d)/total;
var pt_prod0=new Point(nNeWx.x-IAHLE.x,nNeWx.y-IAHLE.y)
var pt_prod1=new Point(0,100)
var prod=(pt_prod0.x*pt_prod1.y-pt_prod1.x*pt_prod0.y);
if(prod*diff<0)
{
bRQNZ=d2/total;
EeXPT=(d2+d)/total;
}
}
grad.addColorStop(bRQNZ,col1);
grad.addColorStop(EeXPT,col2);

}
else
{
grad.addColorStop(0,col1);
grad.addColorStop(1,col2);
}
fill_obj=grad
}
else
{
fill_obj=bg1;
}
return fill_obj;
}
function WA_bg3(id,lx,ly,arc,iPOpZ,bord_col,bg,shadow,rot,ZMtDn,BBfwm,RVuZs,rFMoG)
{


var theta=rot*2*Math.PI/360 
if(rFMoG==undefined)rFMoG=true;
if(RVuZs==undefined)RVuZs=1.0;
var el=document.getElementById(id)
if(!el)return
var c=el.getContext('2d');
var sXPjU=(el.width-lx)/2;
if(rFMoG) c.clearRect(0,0,el.width,el.height)
var x_rect0=sXPjU;
var y_rect0=sXPjU;
var bg1=bg[0]
var fill_obj=false;
var IAHLE=false;
var nNeWx=false;
var JuCwl=false
fill_obj=nAlrJ(c,lx,ly,bg1) 
if(RVuZs==undefined)RVuZs=1.0;
var arc2=arc-iPOpZ;
if(arc2<0)arc2=0
var canv2=false;
var c2=c;
if(shadow)
{
c2.translate(ZMtDn+6,BBfwm+6)
}
else
{
c2.translate(ZMtDn,BBfwm)
}
c2.fillStyle=fill_obj;
dDmdm(c2,iPOpZ,iPOpZ,lx-2*iPOpZ,ly-2*iPOpZ,arc2,false,rot)
c2.fill();
}
function WA_bg(id,lx,ly,arc,iPOpZ,bord_col,bg,shadow,rot,RVuZs,rFMoG)
{

if(rFMoG==undefined)rFMoG=true;
if(RVuZs==undefined)RVuZs=1.0;
var el=document.getElementById(id)
if(!el)return
var c=el.getContext('2d');
var sXPjU=(el.width-lx)/2;
if(rFMoG) c.clearRect(0,0,el.width,el.height) 

var fill_obj=nAlrJ(c,lx,ly,bg[0])
if(bg.length>1)
{
var bg2=bg[1]
var img=new Image();
img.onload=function()
{
var ptrn=c.createPattern(img,'repeat');
c.fillStyle=ptrn;
c.beginPath()
Sdldh(c,el,lx,ly,arc,iPOpZ,bord_col,ptrn,shadow,rot,RVuZs)
}
img.src=bg2;
}
else
{
Sdldh(c,el,lx,ly,arc,iPOpZ,bord_col,fill_obj,shadow,rot,RVuZs)
}
}
function Sdldh(c,el,lx,ly,arc,iPOpZ,bord_col,fill_obj,shadow,rot,RVuZs)
{
if(RVuZs==undefined)RVuZs=1.0;
var arc2=arc-iPOpZ;
if(arc2<0)arc2=0
var sXPjU=(el.width-lx)/2;
var x_rect0=sXPjU;
var y_rect0=sXPjU;
var canv2=false;
var c2=c;
c.globalAlpha=RVuZs
if(ZvaLg()==true)
{
canv2=ikFQv(lx,ly);
c2=canv2.getContext('2d');
c2.globalAlpha=RVuZs
}
else
{
c2.translate(sXPjU,sXPjU)
if(shadow) dwcvT(c,0,0,lx,ly,arc,false,rot)
}
if(iPOpZ>0)
{
c2.fillStyle=bord_col;
aOLUt(c2,0,0,lx,ly,arc)
LbPaq(c2,iPOpZ,iPOpZ,lx-2*iPOpZ,ly-2*iPOpZ,arc2,true)
c2.fill()
}
c2.fillStyle=fill_obj;
aOLUt(c2,iPOpZ,iPOpZ,lx-2*iPOpZ,ly-2*iPOpZ,arc2)
c2.fill();
if(ZvaLg()==true)
{
if(shadow) JkVEv(c,rot)
c.drawImage(canv2,sXPjU,sXPjU);
}
else
{
c2.translate(-sXPjU,-sXPjU)
}
}
function WA_div_offset(id,x,y)
{
if(isMSIE())
{
var el=document.getElementById(id)
if(el.filters)
{
el.style.left=""+x+"px";el.style.top=""+y+"px";
}
}
}


function Size(lx,ly)
{
this.width=lx;this.height=ly;
this.clone=function(){return new Size(this.width,this.height)}
this.greaterThan=function(dJLOW){return(this.width>dJLOW.width)&&(this.height>dJLOW.height)}
this.scale=function(WHmqX,mSFXP)
{
if(!mSFXP)mSFXP=false
var mgPFn=this;
var IISCo=mgPFn.width
var bVtEm=mgPFn.height
var p1=IISCo*WHmqX.height;
var p2=WHmqX.width*bVtEm;
var r1=IISCo/bVtEm;
var r2=bVtEm/IISCo;
var newSize1=new Size(WHmqX.height*r1,WHmqX.height);
var newSize2=new Size(WHmqX.width,WHmqX.width*r2);
if(p2>p1)
{
if((mSFXP==true)||((newSize1.width<=mgPFn.width)&&(newSize1.height<=mgPFn.height)))
{
mgPFn.width=Math.round(newSize1.width);
mgPFn.height=Math.round(newSize1.height);
}
}
else
{
if((mSFXP==true)||((newSize2.width<=mgPFn.width)&&(newSize2.height<=mgPFn.height)))
{
mgPFn.width=Math.round(newSize2.width);
mgPFn.height=Math.round(newSize2.height);
}
}
this.width=mgPFn.width;
this.height=mgPFn.height;
return true;
}
}
function Point(p_x,p_y){this.x=p_x;this.y=p_y;
this.translate=function(ZVGoN,ocCUQ){this.x+=ZVGoN;this.y+=ocCUQ;}
this.clone=function(){return new Point(this.x,this.y)}
}
function Rect(p_x,p_y,lx,ly)
{
this.x=p_x;this.y=p_y;this.width=lx;this.height=ly;
this.clone=function(){return new Rect(this.x,this.y,this.width,this.height)}
this.equals=function(rfEpa){return(this.x==rfEpa.x)&&(this.y==rfEpa.y)&&(this.width==rfEpa.width)&&(this.height==rfEpa.height);}
this.copy=function(rfEpa){this.x=rfEpa.x;this.y=rfEpa.y;this.width=rfEpa.width;this.height=rfEpa.height;}
this.translate=function(ZVGoN,ocCUQ){this.x+=ZVGoN;this.y+=ocCUQ;}
}
function html_getLayer(rfEpa)
{
if(typeof(rfEpa)=="string")return document.getElementById(rfEpa);
return rfEpa;
}
function html_SetPosition(rfEpa,ZVGoN,ocCUQ){
rfEpa=html_getLayer(rfEpa);
rfEpa.style.left=ZVGoN+"px";rfEpa.style.top=ocCUQ+"px";
}
function html_SetSize(QtrQG,IicTl,tjQrH){
rfEpa=html_getLayer(QtrQG);
rfEpa.style.width=IicTl+"px";rfEpa.style.height=tjQrH+"px";
}
function html_SetRect(rfEpa,kSJtD){html_SetGeometry(rfEpa,kSJtD.x,kSJtD.y,kSJtD.width,kSJtD.height);}
function html_SetGeometry(rfEpa,ZVGoN,ocCUQ,IicTl,tjQrH){html_SetPosition(rfEpa,ZVGoN,ocCUQ);html_SetSize(rfEpa,IicTl,tjQrH);}
function html_SetVisibility(rfEpa,DXPjI){rfEpa=html_getLayer(rfEpa);rfEpa.style.visibility=(DXPjI)?"visible":"hidden";}
function html_SetDisplay(rfEpa,DXPjI){rfEpa=html_getLayer(rfEpa);rfEpa.style.display=(DXPjI)?"block":"none";}
function html_SetCanvasSize(rfEpa,IicTl,tjQrH){rfEpa=html_getLayer(rfEpa);rfEpa.width=IicTl;rfEpa.height=tjQrH;}
function html_SetOpacity(rfEpa,QBnFI)
{
rfEpa=html_getLayer(rfEpa);
rfEpa.style['opacity']=QBnFI;
rfEpa.style['-moz-opacity']=QBnFI;
rfEpa.style.filter=(QBnFI==1)?'':'alpha(opacity='+(QBnFI*100)+')';
}
var SOTaq=[
{acc:"e",l:["é","è","ë"]},{acc:"a",l:["à","ä","â"]},{acc:"u",l:["ü","û"]},{acc:"c",l:["ç"]},{acc:"o",l:["ö","ô"]}
];
function removeAccentsFromString(s)
{
var res=s.toLowerCase();
for(var i=0;i<SOTaq.length;i++)
{
var array2=SOTaq[i].l;
for(var i2=0;i2<array2.length;i2++)
{
var reg=new RegExp(array2[i2],"g");
res=res.replace(reg,SOTaq[i].acc)
}
}
return res;
}
function trimString(str)
{
return str.replace(/^\s*|\s*$/g,"");
}
function IsNumeric(kJhFb)
{
var YNAdu="0123456789.";var VVgbR=true;var XgMke;
for(SkmwE=0;SkmwE<kJhFb.length&&VVgbR==true;SkmwE++){XgMke=kJhFb.charAt(SkmwE);if(YNAdu.indexOf(XgMke)==-1) VVgbR=false;}
return VVgbR;
}
function getWindowScroll()
{
var x=0;var y=0;
if(typeof(window.pageYOffset)=='number'){
x=window.pageXOffset;y=window.pageYOffset;
}else if(document.body&&(document.body.scrollLeft||document.body.scrollTop)){
x=document.body.scrollLeft;y=document.body.scrollTop;
}else if(document.documentElement&&(document.documentElement.scrollLeft||document.documentElement.scrollTop)){
x=document.documentElement.scrollLeft;y=document.documentElement.scrollTop;
}
return new Point(x,y);
}
function getWindowSize()
{
var lx=0;var ly=0;;
if(isMSIE())
{
lx=document.documentElement.clientWidth;ly=document.documentElement.clientHeight;
if((lx==0)&&(ly==0))
{
if(document.body&&(document.body.clientWidth)){
lx=document.body.clientWidth;ly=document.body.clientHeight;
}
}
}
else
if(typeof(window.innerWidth)=='number')
{
lx=window.innerWidth;
if(document.documentElement.clientWidth>0)lx=document.documentElement.clientWidth
ly=window.innerHeight;
if(document.documentElement.clientHeight>0)ly=document.documentElement.clientHeight
}
if(isIPhone())
if(typeof(window.innerWidth)=='number')
{
lx=window.innerWidth;ly=window.innerHeight;
}
return new Size(lx,ly);
}
function getWindowFullSize()
{
var lx=0;var ly=0;;
if(isMSIE())
{
lx=document.documentElement.clientWidth;ly=document.documentElement.clientHeight;
if((lx==0)&&(ly==0))
{
if(document.body&&(document.body.clientWidth)){
lx=document.body.clientWidth;ly=document.body.clientHeight;
}
}
}
else
if(typeof(window.innerWidth)=='number'){
lx=window.innerWidth;
if(document.documentElement.clientWidth>0)lx=document.documentElement.clientWidth
ly=window.innerHeight;
if(document.documentElement.clientHeight>0)ly=document.documentElement.clientHeight
}
return new Size(lx,ly);
}
function urlSuffixe(SOrdQ)
{
var bthFX=SOrdQ*60;
var CMWqm=new Date();
var fbpXt=0;
fbpXt+=CMWqm.getYear()*12*31*24*60*60;
fbpXt+=CMWqm.getMonth()*31*24*60*60;
fbpXt+=CMWqm.getDate()*24*60*60;
fbpXt+=CMWqm.getHours()*60*60;
fbpXt+=CMWqm.getMinutes()*60;
fbpXt+=CMWqm.getSeconds();
if(bthFX!=0)
{
fbpXt=Math.floor(fbpXt/bthFX)*bthFX
}
return "-"+fbpXt;
}
function html_findPos(obj)
{
var QBnFI=KegFs(obj)
return new Point(QBnFI[0],QBnFI[1])
}
function KegFs(obj)
{
var curleft=curtop=0;
if(obj.offsetParent)
{
do
{
curleft+=obj.offsetLeft;curtop+=obj.offsetTop;
}while(obj=obj.offsetParent);
}
return [curleft,curtop];
}
function Wa_search_input(ecpQa,IicTl,tjQrH)
{
document.write("<input id='"+ecpQa+"' type=search results=0 placeholder='' style='width:"+IicTl+"px;height:"+tjQrH+"px;'>")
}
function HhbLl()
{
var fBtCc=document.getElementsByTagName("A");
for(var SkmwE=0;SkmwE<fBtCc.length;SkmwE++)
{
var rfEpa=fBtCc[SkmwE];
if(rfEpa.onmouseover)rfEpa.onmouseover=null;
if(rfEpa.onmouseout)rfEpa.onmouseout=null;
}
}
function ttqmZ()
{
for(var sZvcx in document.wa_global_list_element)
{
var IYBOa=document.wa_global_list_element[sZvcx]
var hGGhu=document.getElementById(IYBOa)
hGGhu.onclick=function()
{
WA_focus(this)
}
}
}
function WA_declare(IYBOa)
{
if(!document.wa_global_list_element)
{
document.wa_global_list_element=new Array();;
}
document.wa_global_list_element.push(IYBOa)
}
function FaNrT()
{
var IiViN=window.location.search;
if(IiViN.substr(0,1)=="?")IiViN=IiViN.substr(1);
if(IiViN.length==0)return;
var BfgHT=new Array();
var xQRgV=IiViN.split("&");
for(var i=0;i<xQRgV.length;i++)
{
var GqkgZ=xQRgV[i].split("=");BfgHT[GqkgZ[0]]=GqkgZ[1];
}
var dJLOW_info=BfgHT["crbst_info"];
if(!dJLOW_info)return;
var sbMeL=new Array();
sbMeL.m_unid=dJLOW_info;
sbMeL.m_index_item=-1;
var sfaOo=dJLOW_info.indexOf("-");
if(sfaOo!=-1)
{
sbMeL.m_unid="wa-id-"+dJLOW_info.substring(0,sfaOo);
sbMeL.m_index_item=parseInt(dJLOW_info.substring(sfaOo+1));
}
document.wa_global_query_info=sbMeL;
}
function IS_onload_WA()
{

if(isMSIE8())
{
wa_timeout("IS_onload_ui()",0)
}
else
{
IS_onload_ui()
}
if(isIPhone())
{
HhbLl()
}
else
{
ttqmZ()
}
FaNrT();

mZWfm()
}
function mZWfm()
{
var bISuI=0;
var iUYPv=document.webaca_banner_height;
if(document.webaca_page_is_centered)
{
var bjKmZ=getWindowSize().width
var Jvdqi=document.webaca_width_page
if(bjKmZ>Jvdqi)bISuI=(bjKmZ-Jvdqi)/2;
}
document.body.style.backgroundPosition=bISuI+"px "+iUYPv+"px";
}


function WA_loadMessages()
{
for(var k in CONST_WA_TR)
{
var key=CONST_WA_TR[k]
Translator.m_tr[key[0]]=key[1]
}
for(var n=0;n<CONST_WA_COUNTRIES.codes.length;n++)
{
var RfaAB=CONST_WA_COUNTRIES.codes[n]
var BJKDi=CONST_WA_COUNTRIES.labels[n]
Translator.m_countries[RfaAB]=BJKDi
}
}
function Translator()
{
}
Translator.m_tr=new Array();
Translator.m_countries=new Array();
Translator.tr=function(k)
{
try
{
var v=Translator.m_tr[k]
if((v==undefined)||(v.length==0))return "@"+k;
v=v.replace(/\n/g,"<br>")
return v
}
catch(e){}
return k;
}
Translator.country=function(k)
{
try
{
var v=Translator.m_countries[k]
if((v==undefined)||(v.length==0))return "@"+k;
return v
}
catch(e){}
return k;
}
function WA_GraphicElement(IYBOa,vLieZ,aCaPb)
{
this.IYBOa=IYBOa;
this.vLieZ=vLieZ
this.aCaPb=aCaPb;
this.skBdN=this.IYBOa+"-div"
this.UFOZN=this.IYBOa+"-canvas"
this.MUsag=new Rect(0,0,0,0)
this.FYOEC=false;
this.Avnnn=false;
this.sXPjU=6;
this.gJvBb_src=false;
this.gJvBb_clip=false;
this.aiXwa=false;
this.vpRBm="";
this.shadow=function()
{
return this.aCaPb;
}
this.marginShadow=function()
{
return this.sXPjU;
}
this.rect=function()
{
return this.MUsag;
}
this.canvasId=function()
{
return this.UFOZN;
}
this.divId=function()
{
return this.skBdN;
}
this.opacity=function()
{
return this.bjwls;
}
this.img_clip=function()
{
return this.gJvBb_clip;
}
this.img_src=function()
{
return this.gJvBb_src;
}
this.toHtml=function()
{
var dJLOW=""
dJLOW+="<div id='"+this.skBdN+"' style=\"";
dJLOW+="position:absolute;";
if(this.vpRBm.length>0)
{
dJLOW+="cursor:pointer;";
}
if(this.rect.x>0)dJLOW+="left:"+this.rect.x+"px;";
if(this.rect.y>0)dJLOW+="top:"+this.rect.y+"px;";
if(this.rect.width>0)dJLOW+="width:"+this.rect.width+"px;";
if(this.rect.height>0)dJLOW+="height:"+this.rect.height+"px;";
if(vLieZ)
dJLOW+="z-index:"+vLieZ+";";
dJLOW+="\" ";
if(this.vpRBm.length>0)
{
dJLOW+="onclick=\""+this.vpRBm+"\" "
}
dJLOW+=">";
if((this.rect.width>0)&&this.shadow())
{
dJLOW+=html_canvas(this.UFOZN,this.rect.width+2*this.sXPjU,this.rect.height+2*this.sXPjU)+"</div>";
}
else
{
dJLOW+=html_canvas(this.UFOZN,0,0)+"</div>";
}
return dJLOW
}
this.setImage=function(skIBi,Epgul,CuAde)
{
if(CuAde==undefined)CuAde=0;
if((skIBi==this.gJvBb_src)&&(this.gJvBb_clip&&this.gJvBb_clip.equals(Epgul))&&(this.aiXwa==CuAde))
{
return;
}
this.aiXwa=CuAde;
this.gJvBb_src=skIBi;
this.gJvBb_clip=Epgul;
this.Apmpg()
}
this.registerDynamicCanvas=function()
{
registerDynamicCanvas(this.UFOZN);
this.Avnnn=true;
this.setRect(this.MUsag.x,this.MUsag.y,this.MUsag.width,this.MUsag.height)
}
this.Apmpg=function()
{
if((this.MUsag.width>0)&&(this.MUsag.height>0))
{
this.draw()
}
this.FYOEC=true
};
this.draw=function(){};
this.setPosition=function(ZVGoN,ocCUQ)
{
this.MUsag.x=ZVGoN;this.MUsag.y=ocCUQ;
if(this.Avnnn==false)return
html_SetPosition(this.skBdN,this.MUsag.x,this.MUsag.y)
if(this.FYOEC==false)
{
this.Apmpg()
}
}
this.setOnClick=function(dJLOW)
{
this.vpRBm=dJLOW
}
this.width=function(){return this.MUsag.width;}
this.height=function(){return this.MUsag.height;}
this.setSize=function(IicTl,tjQrH)
{
this.MUsag.width=IicTl;this.MUsag.height=tjQrH;
var aLNXN=IicTl
var uxqpG=tjQrH
if(this.aCaPb)
{
aLNXN+=2*this.sXPjU
uxqpG+=2*this.sXPjU
}
if(this.Avnnn==false)return
html_SetSize(this.skBdN,aLNXN,uxqpG)
html_SetCanvasSize(this.UFOZN,IicTl,tjQrH)
this.Apmpg()
}
this.setRect=function(ZVGoN,ocCUQ,IicTl,tjQrH)
{
this.MUsag.x=ZVGoN;this.MUsag.y=ocCUQ;this.MUsag.width=IicTl;this.MUsag.height=tjQrH;
var aLNXN=IicTl
var uxqpG=tjQrH
var LgYMS=ZVGoN
var vFeAw=ocCUQ
if(this.aCaPb)
{
aLNXN+=2*this.sXPjU
uxqpG+=2*this.sXPjU
LgYMS-=this.sXPjU
vFeAw-=this.sXPjU
}
if(this.Avnnn==false)return 
html_SetGeometry(this.skBdN,LgYMS,vFeAw,aLNXN,uxqpG);
html_SetCanvasSize(this.UFOZN,aLNXN,uxqpG)
try{this.Apmpg()}catch(e){
alert(e.message)
}
}
this.setVisible=function(DXPjI)
{
if(this.Avnnn==false)return
html_SetVisibility(this.skBdN,DXPjI)
}
this.setOpacity=function(QBnFI)
{
this.bjwls=QBnFI 
if(this.Avnnn==false)return
this.Apmpg()
}
}

function is_onresize()
{
WA_Dialog.resizeUI()
try
{
if(WA_PhotoAlbum_resizeUI)WA_PhotoAlbum_resizeUI()
}
catch(e){}
mZWfm()
}
function is_onscroll()
{
centerFullPageContainer();
}
function registerDynamicCanvas(id)
{
if(isMSIE())
G_vmlCanvasManager.initElement(document.getElementById(id));
}
function WA_openDialogAction(sZvcx)
{
var IdpRY=WA_Dialog.fJtKv;
if(sZvcx==-1){IdpRY.closeWin();return;}
var NBlup=IdpRY.mQcvA(sZvcx);
if(NBlup[5])
{
NBlup[4].call(NBlup[6],NBlup[5])
}
else
{
NBlup[4](NBlup[5]);
}
}
function WA_Dialog(DXPjI_close_button)
{
this.VKgMm=0;
this.ggBZw=0;
this.WHmqX_win_width=600;
this.WHmqX_win_height=400;
this.Klspl=new Array();
this.YBpiK="wa-dialog-but-";
this.tBuAS=this.YBpiK+"div-";
this.DhgrY=this.YBpiK+"canvas-";
this.BUTTON_HEIGHT=25;
this.EQiQP=CONST_WA_GLOBAL_COLOR_THEME;
this.DXPjI_close_button=DXPjI_close_button;
this.FVtdP=5;
this.eVwib=function()
{
if(this.DXPjI_close_button==undefined)this.DXPjI_close_button=true;
this.DskQS();
}
this.resetButtons=function()
{
this.DskQS();
}
this.idealHeight=function()
{
return this.brDYw
}
this.displayWindowWithAutoResize=function(bErnj,DsDkf)
{
this.jLXHp=false
this.brDYw=bErnj
this.sFiLl=DsDkf 
this.resetButtons();
DsDkf.call(this)
var l=document.getElementById('wa-dialog-content');
if(this.jLXHp==false)
if(l.scrollHeight>200)
{
this.jLXHp=true
this.brDYw=l.scrollHeight+150
this.resetButtons();
DsDkf.call(this)
}
}
this.initializeWindow=function(WHmqX_lx,WHmqX_ly)
{
if(WA_Dialog.fJtKv)WA_Dialog.fJtKv.closeWin()
WA_Dialog.fJtKv=this;
this.WHmqX_win_width=WHmqX_lx;
this.WHmqX_win_height=WHmqX_ly;
this.WlMOL()
}
this.progress=function()
{
this.initializeWindow(300,100) 
this.writeContent("<div width=100% align=center><img src='wa_loading.gif'></div>")
}
this.wbEaW=function(mess)
{


this.initializeWindow(450,130)
var s=""
s+="<table border=0 style='width:100%;'><tr>";
s+="<td align=center style='"+this.cssText1()+"'>"
s+=mess
s+="</td></tr></table>"
this.writeContent(s)
}
this.addButton=function(BJKDi,eEOSg,vldDd,bEfMX)
{
var aMtie=this.Klspl.length
if(this.DXPjI_close_button==true)
{
aMtie--;
}
var IicTl=Math.max((BJKDi.length*8)*1.2+30,80)
var mgPFn=new Size(IicTl,this.BUTTON_HEIGHT);
this.VKgSo("action_"+aMtie,aMtie,BJKDi,eEOSg,mgPFn,vldDd,bEfMX)
}
this.DskQS=function()
{
this.Klspl=new Array();
if(this.DXPjI_close_button)
{
var mgPFn=new Size(120,20);
this.VKgSo("close",-1,Translator.tr("Close")+" - X",null,mgPFn)
}
}
this.VKgSo=function(iDroe,aMtie,BJKDi,eEOSg,mgPFn,vldDd,bEfMX)
{
var NBlup=[iDroe,mgPFn,aMtie,BJKDi,eEOSg,vldDd,bEfMX];
this.Klspl.push(NBlup);
}
this.writeContent=function(s)
{
var l=document.getElementById('wa-dialog-content');
l.innerHTML=s
}
this.mQcvA=function(iDroe)
{
for(var sZvcx=0;sZvcx<this.Klspl.length;sZvcx++)
{
var NBlup=this.Klspl[sZvcx];
if((NBlup[0]==iDroe)||(NBlup[2]+""==iDroe+""))
return NBlup;
}
return undefined;
}
this.RDDxZ=function(iDroe)
{
var NBlup=this.mQcvA(iDroe);
return NBlup[1]
}
this.PGKXt=function(oeUhI)
{
var NBlup=this.mQcvA(oeUhI);
var iDroe=NBlup[0];
var aMtie=NBlup[2];
var GmDxB=this.EQiQP[4]
var QUTuP_bg=this.EQiQP[5]
var QUTuP_glow=this.EQiQP[7]
if(aMtie==-1)
{
GmDxB=this.EQiQP[10]
QUTuP_bg=this.EQiQP[8]
QUTuP_glow=this.EQiQP[11]
}
var WtSfX_id=this.tBuAS+iDroe;
var dEikJ=this.DhgrY+iDroe;
var mgPFn=this.RDDxZ(oeUhI)
var XhYKI=this.FVtdP;
var s=""
s+="<a href='javascript:WA_openDialogAction("+oeUhI+")' ";
var QUTuP=new RGBColor(QUTuP_bg);
var EUXZV=QUTuP.toHsl();
QUTuP.fromHsl(EUXZV[0],EUXZV[1],EUXZV[2]+0.2)
QUTuP_bg=QUTuP.toRGB();
var ZWQoQ=new RGBColor(QUTuP_glow);
var ZWQoQ_hsl=ZWQoQ.toHsl();
ZWQoQ.fromHsl(ZWQoQ_hsl[0],ZWQoQ_hsl[1],ZWQoQ_hsl[2]+0.2)
QUTuP_glow=ZWQoQ.toRGB();
s+="onmouseover=\"WA_but_over('"+dEikJ+"','"+QUTuP_bg+"','"+QUTuP_glow+"')"+"\" ";
s+="onmouseout=\""+"WA_but_out('"+dEikJ+"')"+"\" ";
s+="style='text-decoration:none;'>";
s+="<div id='"+this.tBuAS+iDroe+"' style='position:absolute;cursor:pointer;left:0px;top:0px;height:"+mgPFn.height+"px;width:"+mgPFn.width+"px;' >";
s+="<div style='position:absolute;left:"+(-XhYKI)+"px;top:"+(-XhYKI)+"px;height:"+mgPFn.height+"px;'>"
s+="<canvas id='"+this.DhgrY+iDroe+"' width="+(mgPFn.width+XhYKI*2)+" height="+(mgPFn.height+XhYKI*2)+" ></canvas>";
s+="</div>"
s+="<div align=center style='position:absolute;left:0px;top:"+(0)+"px;vertical-align:middle;width:100%;height:"+(mgPFn.height)+"px;line-height:"+(mgPFn.height)+"px;font-family:arial;font-size:13px;font-weight:bold;color:"+GmDxB+"'>"
s+=NBlup[3];
s+="</div>"
s+="</div>"
s+="</a>"
return s;
}
this.getColorTheme=function(sZvcx)
{
return this.EQiQP[sZvcx];
}
this.VqFkM=function(iDroe)
{
var NBlup=this.mQcvA(iDroe);
var aMtie=NBlup[2];
var QUTuP_bg=this.EQiQP[5]
var QUTuP_glow=this.EQiQP[7]
var GmDxB=this.EQiQP[3]
if(aMtie==-1)
{
QUTuP_bg=this.EQiQP[8]
QUTuP_glow=this.EQiQP[11]
GmDxB=this.EQiQP[10]
}
var RfaAB=this.DhgrY+iDroe;
registerDynamicCanvas(RfaAB);
var mgPFn=this.RDDxZ(iDroe);
var OjYgF=mgPFn.height*0.25;
var OjYgF_top=(mgPFn.height-OjYgF)/2;
var qiGcV=(mgPFn.width-2);
var tjQrH_circle_top=OjYgF*2;
var wCpaC_top=[(mgPFn.width-qiGcV)/2,1,qiGcV,tjQrH_circle_top,OjYgF_top];
var leNiP=mgPFn.width*0.9;
var tjQrH_circle_bottom=mgPFn.height*0.45;
var lkBlY=QUTuP_glow;
var hQKVw=QUTuP_glow;
var OjYgF_bottom=tjQrH_circle_bottom/2;
var wCpaC_bottom=[(mgPFn.width-leNiP)/2,mgPFn.height-tjQrH_circle_bottom-1,leNiP,tjQrH_circle_bottom,OjYgF_bottom,lkBlY,hQKVw];
WA_but(RfaAB,0,mgPFn.width,mgPFn.height,OjYgF,QUTuP_bg,wCpaC_top,wCpaC_bottom,true,0)
}
this.oKEmU=function(iDroe)
{
var NBlup=this.mQcvA(iDroe)
if(NBlup)
{
var RfaAB=this.tBuAS+NBlup[0];
return document.getElementById(RfaAB);
}
return undefined
}
this.WlMOL=function()
{
var l=document.getElementById('wa-dialog-container');
l.style.display="block" 

var s="";
var rdwKT=document.webaca_banner_height
s+="<div  style='position:absolute;left:0px;top:"+rdwKT+"px;width:100%;height:100%;background-color:#000000;filter:alpha(opacity=50);-moz-opacity:0.5;opacity:0.5;'></div>"
s+="<div id='wa-dialog-main' style='position:absolute;left:0px;top:"+rdwKT+"px;width:100px;height:100px;' >"
s+="<div style='position:absolute;left:0px;top:0px;width:100px;height:100px;' ><canvas id='wa-dialog1' width=100 height=100 ></canvas></div>"
for(var SkmwE in this.Klspl)
{
s+=this.PGKXt(this.Klspl[SkmwE][2]);
}
s+="<div id='wa-dialog-content' style='position:absolute;left:0px;top:0px;width:100px;" 
s+="overflow:auto;' ></div>"
s+="</div>"
l.innerHTML=s 
WA_exec_callback_opera_compliant(this,this.FEVpn)
}
this.FEVpn=function()
{
registerDynamicCanvas('wa-dialog1');
for(var SkmwE in this.Klspl)
{
this.VqFkM(this.Klspl[SkmwE][0])
}
this.dgEqI()
}
this.intern_closeWin=function()
{
var l=document.getElementById('wa-dialog-container');
l.style.display="none"
WA_Dialog.fJtKv=false
}
this.closeWin=function()
{
this.intern_closeWin()
}
this.cssText1=function()
{
return "font-family:Arial;font-size:15px;color:"+this.EQiQP[3]+";";
}
this.onCustomKeypress=function(VFYQL)
{
if((this.Klspl.length==1)&&(VFYQL==13))
{
this.closeWin()
return true;
}
return false;
}
this.onkeypress=function(VFYQL)
{
return this.onCustomKeypress(VFYQL)
}
this.onkeydown=function(VFYQL)
{
if(VFYQL==27)
{
this.closeWin()
return true;
}
return this.onCustomKeypress(VFYQL) 
}
this.customUpdate=function(){}
this.dgEqI=function()
{
var QBqxp=document.webaca_width_page;
var tjQrH_page=document.webaca_height_page;
var DwggK=getWindowSize().width
var tjQrH_window=getWindowSize().height 

this.VKgMm=Math.min(DwggK*0.9,this.WHmqX_win_width)
this.ggBZw=Math.min(tjQrH_window*0.9,this.WHmqX_win_height)
var GkLpM=document.getElementById('wa-dialog1');
GkLpM.width=this.VKgMm+10
GkLpM.height=this.ggBZw+10
var ZVGoN=getWindowScroll().x+(DwggK-GkLpM.width)/2
var ocCUQ=getWindowScroll().y+(tjQrH_window-GkLpM.height)/2
ZVGoN=(DwggK-GkLpM.width)/2
ocCUQ=(tjQrH_window-GkLpM.height)/2
ZVGoN=Math.max(0,ZVGoN)
ocCUQ=Math.max(0,ocCUQ) 
var EnBsj=document.getElementById('wa-dialog-main');
html_SetGeometry('wa-dialog-main',ZVGoN,ocCUQ,GkLpM.width,GkLpM.height);
var SVFZu_bg="(0;0;0;"+this.ggBZw*0.25+";"+this.EQiQP[1]+";"+this.EQiQP[2]+")";
WA_bg('wa-dialog1',this.VKgMm,this.ggBZw,10,3,this.EQiQP[0],[SVFZu_bg],true,0)
var JiDYH=10;
var nCvqS=this.oKEmU(-1)
if(nCvqS)
{
var mgPFn_but_close=this.RDDxZ(-1)
html_SetPosition(nCvqS,this.VKgMm-mgPFn_but_close.width+this.FVtdP-JiDYH,this.FVtdP+JiDYH)
}
var qRcjI=this.Klspl.length;
if(this.DXPjI_close_button==true)
{
qRcjI--;
}
var Dekue=10;
var lRLQF=0;
for(var SkmwE=0;SkmwE<qRcjI;SkmwE++)
{
if(SkmwE>0) lRLQF+=Dekue;
var mgPFn_but=this.RDDxZ(SkmwE);
lRLQF+=mgPFn_but.width;
}
var hfuxB=(this.VKgMm-lRLQF)/2
for(var SkmwE=0;SkmwE<qRcjI;SkmwE++)
{
if(SkmwE>0) hfuxB+=Dekue;
var VRUTx_div=this.oKEmU(SkmwE);
var mgPFn_but=this.RDDxZ(SkmwE);
html_SetPosition(VRUTx_div,hfuxB+this.FVtdP,+this.FVtdP+this.ggBZw-mgPFn_but.height-2*JiDYH)
hfuxB+=mgPFn_but.width;
}
var tjQrH_top=45;
var tjQrH_bottom=this.BUTTON_HEIGHT+2*JiDYH;
if(qRcjI==0)
{
tjQrH_bottom=0;
}
var tjQrH_content=(this.ggBZw-tjQrH_top-tjQrH_bottom)-JiDYH
var SBiBc=document.getElementById('wa-dialog-content');
var IdpRY_content=Math.round(this.VKgMm-2*JiDYH)
var cMVnE=Math.round(tjQrH_content)
this.m_content_lx=IdpRY_content
this.m_content_ly=cMVnE
html_SetGeometry('wa-dialog-content',Math.round(5+(this.VKgMm-IdpRY_content)/2),Math.round(5+tjQrH_top+(tjQrH_content-cMVnE)/2),IdpRY_content,cMVnE);
this.customUpdate() 
var qVEAn=document.getElementById('wa-dialog-container');
JgcPe=getWindowFullSize().width
tjQrH_full_client=getWindowFullSize().height
html_SetSize('wa-dialog-container',JgcPe,tjQrH_full_client);
centerFullPageContainer();
}
this.eVwib();
}
function WA_exec_callback_opera_compliant(vldDd,wNiFQ)
{
if(/opera/i.test(navigator.userAgent))
tsnrt(vldDd,wNiFQ)
else
wNiFQ.call(vldDd)
}
function tsnrt(vldDd,wNiFQ)
{
wa_timeout(JSlrq,0,vldDd,wNiFQ);
}
function JSlrq(vldDd,wNiFQ)
{
wNiFQ.call(vldDd)
}
WA_Dialog.getCurrent=function()
{
return WA_Dialog.fJtKv;
}
WA_Dialog.fJtKv=false;
WA_Dialog.resizeUI=function()
{
if(WA_Dialog.fJtKv)
{
WA_Dialog.fJtKv.dgEqI()
}
}
WA_Dialog.alert=function(s)
{
var w=new WA_Dialog();
w.wbEaW(s)
}
WA_Dialog.progress=function()
{
var w=new WA_Dialog(false);
w.progress()
}
function centerFullPageContainer()
{
var QBqxp=document.webaca_width_page;
var tjQrH_page=document.webaca_height_page;
var qVEAn=document.getElementById('wa-dialog-container');
JgcPe=getWindowSize().width
tjQrH_full_client=getWindowSize().height
var ocCUQ_bg=getWindowScroll().y;
ocCUQ_bg=Math.min(ocCUQ_bg,tjQrH_page-tjQrH_full_client+1)
ocCUQ_bg=Math.max(ocCUQ_bg,0)
var UZsps=getWindowScroll().x;
UZsps=Math.min(UZsps,QBqxp-JgcPe+1)
UZsps=Math.max(UZsps,0) 
html_SetPosition('wa-dialog-container',UZsps,ocCUQ_bg,JgcPe,tjQrH_full_client);
}

function getXMLHttpRequest(fct_callback,bEfMX)
{
var http_request=false;
if(window.XMLHttpRequest){
http_request=new XMLHttpRequest();
if(http_request.overrideMimeType){
}
}else if(window.ActiveXObject){
try{http_request=new ActiveXObject("Msxml2.XMLHTTP");
}catch(e){
try{http_request=new ActiveXObject("Microsoft.XMLHTTP");}catch(e){}}
}
if(!http_request)
{
alert('Cannot create XMLHTTP instance');
return false;
}
http_request.moiBp=fct_callback
http_request.bEfMX=bEfMX
http_request.onreadystatechange=function()
{
var req=this 
if(req.readyState==4)
{
this.moiBp(true,this,this.bEfMX) 

}
};
return http_request;
}
function makePOSTRequest(url,parameters,callback,AGZuq)
{
var http_request=getXMLHttpRequest(callback,AGZuq);
http_request.open('POST',url,true);
http_request.setRequestHeader("Content-type","application/x-www-form-urlencoded");
http_request.setRequestHeader("Content-length",parameters.length);
http_request.setRequestHeader("Connection","close");
http_request.send(parameters);
}
function intern_WA_responseForm(WUpYM,sofLN,bEfMX)
{
var result=sofLN.responseText
var n=result.indexOf("BEGIN_IS_PHP=1")
if(n==-1)
{
WA_Dialog.alert(Translator.tr("Error:No php on server"));
}
else
{
n=result.indexOf("mail_sended=1")
if(n>-1)
{
var MMZvP=bEfMX[0] 
WA_Dialog.alert(Translator.tr("Success:Mail sended"));
var form=document.getElementById(MMZvP);
form.reset()
}
else
{
var jLiXY="error_string="
n=result.indexOf(jLiXY)
if(n>-1)
{
result=result.substring(n+jLiXY.length)
n=result.indexOf("END_IS_PHP")
if(n>-1)
{
result=result.substring(0,n)
}
WA_Dialog.alert(result);
}
else
{
WA_Dialog.alert("*error send mail!");
}
}
}
}
function WA_form_action(id_form,action,b_email_is_valid)
{
var form=document.getElementById(id_form);
var poststr=""
for(var i=0;i<form.elements.length;i++)
{
var el=form.elements[i];
el.style.backgroundColor="#ffffff"
if((el.value.length==0)&&(el.name.indexOf("_mandatory")>-1))
{
el.style.backgroundColor="#ff0000";el.focus();return;
}
var YcqEU=el.value
YcqEU=encodeURI(YcqEU)
YcqEU=YcqEU.replace(/&/g,escape("&")) 
poststr+=el.name.replace("_mandatory","")+"="+YcqEU+"&"
}
if(b_email_is_valid==false)
{
WA_Dialog.alert(Translator.tr("Email have to be filled in order to the form works correctly"));return;
}
if(document.webaca_is_preview)
{
WA_Dialog.alert(Translator.tr("Operation not allowed in preview mode"));return;
}
WA_Dialog.progress();
makePOSTRequest(action,poststr,intern_WA_responseForm,[id_form]);
}
function WA_form_submit(VZRCE)
{
var SZstx=document.getElementById(VZRCE);
SZstx.submit() 
}
function lrYUT(IYBOa,bEfMX)
{
var VFYQL=bEfMX[0]
if(VFYQL==13)
{
var VZRCE=IYBOa+"-form";
var SZstx=document.getElementById(VZRCE);
for(var i=0;i<SZstx.elements.length;i++)
{
var hGGhu=SZstx.elements[i];
if((hGGhu.type=="textarea")&&(hGGhu.focused))return true;
}
WA_form_submit(VZRCE);
return false;
}
return true;
}
function WA_addFormDeclaration(IYBOa,tTnhJ)
{
return WA_addHandler(IYBOa,"keypress",lrYUT)
}
function WA_form_bg(id,lx,ly,arc,iPOpZ,bord_col,bg,shadow,CuAde,wrVJa)
{
WA_bg(id,lx,ly,arc,iPOpZ,bord_col,bg,shadow,CuAde,1.0,true) 
var JeCaS=wrVJa.x;
var YqKSO=0;
var drJjg=wrVJa.cells
for(var n=0;n<drJjg.length;n++)
{
var fjHqr=drJjg[n]
var arc2=0
sKsCZ(id,JeCaS,YqKSO+fjHqr.y,wrVJa.w,fjHqr.h,arc2,1,wrVJa.border,[''],false,0,1.0,false)
sKsCZ(id,JeCaS,YqKSO+fjHqr.y,fjHqr.w,fjHqr.h,arc2,1,"rgba(0,0,0,0)",[wrVJa.bg],false,0,1.0,false)
}
}
function WA_form_reset(id_form)
{
var form=document.getElementById(id_form);
form.reset() 
}
var BrowserDetect={
init:function(){
this.browser=this.searchString(this.dataBrowser)||"An unknown browser";
this.version=this.searchVersion(navigator.userAgent)||this.searchVersion(navigator.appVersion)||"an unknown version";
this.OS=this.searchString(this.dataOS)||"an unknown OS";
},searchString:function(data){
for(var i=0;i<data.length;i++){
var dataString=data[i].string;var dataProp=data[i].prop;
this.versionSearchString=data[i].versionSearch||data[i].identity;
if(dataString){
if(dataString.indexOf(data[i].subString)!=-1)
return data[i].identity;
}
else if(dataProp)
return data[i].identity;
}
},searchVersion:function(dataString){
var index=dataString.indexOf(this.versionSearchString);
if(index==-1) return;
return parseFloat(dataString.substring(index+this.versionSearchString.length+1));
},
dataBrowser:[
{string:navigator.userAgent,subString:"OmniWeb",versionSearch:"OmniWeb/",identity:"OmniWeb"},{string:navigator.vendor,subString:"Apple",identity:"Safari"},{prop:window.opera,identity:"Opera"},{string:navigator.vendor,subString:"iCab",identity:"iCab"},{string:navigator.vendor,subString:"KDE",identity:"Konqueror"},{string:navigator.userAgent,subString:"Firefox",identity:"Firefox"},{string:navigator.vendor,subString:"Camino",identity:"Camino"},{string:navigator.userAgent,subString:"Netscape",identity:"Netscape"},
{string:navigator.userAgent,subString:"MSIE",identity:"Explorer",versionSearch:"MSIE"},{string:navigator.userAgent,subString:"Gecko",identity:"Mozilla",versionSearch:"rv"},{string:navigator.userAgent,subString:"Mozilla",identity:"Netscape",versionSearch:"Mozilla"}
],dataOS:[
{string:navigator.platform,subString:"Win",identity:"Windows"},{string:navigator.platform,subString:"Mac",identity:"Mac"},{string:navigator.platform,subString:"Linux",identity:"Linux"}
]
};
BrowserDetect.init();
function RGBColor(QabDW)
{
this.ok=false;this.a=1.0;
if(QabDW.charAt(0)=='#'){QabDW=QabDW.substr(1);}
QabDW=QabDW.replace(/ /g,'');
QabDW=QabDW.toLowerCase();
var SREdB=[
{re:/^rgba\((\d{1,3}),\s*(\d{1,3}),\s*(\d{1,3}),\s*(\d{1,2}\.*\d{0,2})\)$/,_process:function(bits){return [ parseInt(bits[1]),parseInt(bits[2]),parseInt(bits[3]),parseFloat(""+bits[4]) ];}},{re:/^rgb\((\d{1,3}),\s*(\d{1,3}),\s*(\d{1,3})\)$/,_process:function(bits){return [ parseInt(bits[1]),parseInt(bits[2]),parseInt(bits[3])];}},{re:/^(\w{2})(\w{2})(\w{2})(\w{2})$/,_process:function(bits){return [ parseInt(bits[1],16),parseInt(bits[2],16),parseInt(bits[3],16),Math.round(parseInt(bits[4],16)*100/255)/100 ];}},{re:/^(\w{2})(\w{2})(\w{2})$/,_process:function(bits){return [ parseInt(bits[1],16),parseInt(bits[2],16),parseInt(bits[3],16) ];}}
];
for(var i=0;i<SREdB.length;i++){
var bKqUb=SREdB[i].re;
var rNleh=SREdB[i]._process;
var EUcYw=bKqUb.exec(QabDW);
if(EUcYw){
var WsiPg=rNleh(EUcYw);
this.r=WsiPg[0];this.g=WsiPg[1];this.b=WsiPg[2];this.a=WsiPg[3];
this.ok=true;
}
}
this.r=(this.r<0||isNaN(this.r))?0:((this.r>255)?255:this.r);
this.g=(this.g<0||isNaN(this.g))?0:((this.g>255)?255:this.g);
this.b=(this.b<0||isNaN(this.b))?0:((this.b>255)?255:this.b);
this.a=(this.a>1||isNaN(this.a))?1:((this.a<0)?0:this.a);
this.toRGB=function()
{
if(this.a==1)return 'rgb('+this.r+', '+this.g+', '+this.b+')';
return 'rgba('+this.r+', '+this.g+', '+this.b+','+this.a+')';
}
this.toRGB_opaque=function()
{
return 'rgb('+this.r+', '+this.g+', '+this.b+')';
}
this.toHsl=function(){
var r=this.r;var g=this.g;var b=this.b;r/=255,g/=255,b/=255;
var max=Math.max(r,g,b),min=Math.min(r,g,b);
var h,s,l=(max+min)/2;
if(max==min){h=s=0;
}else{
var d=max-min;s=l>0.5?d/(2-max-min):d/(max+min);
switch(max){
case r:h=(g-b)/d+(g<b?6:0);break;
case g:h=(b-r)/d+2;break;
case b:h=(r-g)/d+4;break;
}
h/=6;
}
return [h,s,l];
}
this.IPZKN=function(p,q,t)
{
if(t<0) t+=1;if(t>1) t-=1;if(t<1/6) return p+(q-p)*6*t;if(t<1/2) return q;if(t<2/3) return p+(q-p)*(2/3-t)*6;
return p;
};
this.fromHsl=function(h,s,l){
if(l>1.0)l=1.0
var r,g,b;
if(s==0){r=g=b=l;
}else{
var q=l<0.5?l*(1+s):l+s-l*s;
var p=2*l-q;
r=this.IPZKN(p,q,h+1/3);g=this.IPZKN(p,q,h);b=this.IPZKN(p,q,h-1/3);
}
r=r*255;g=g*255;b=b*255;
r=Math.round(r);g=Math.round(g);b=Math.round(b);
if(r<0)r=-r;if(g<0)g=-g;if(b<0)b=-b
this.r=r;this.g=g;this.b=b;
};
}
function kGrmV(Fpxtk,bEfMX)
{
if(document.wa_global_handlers!=undefined)
{
var IYBOa=WA_focused_element()
if(IYBOa)
{
var eEOSg=document.wa_global_handlers[IYBOa+"-"+Fpxtk]
if(eEOSg) return eEOSg([IYBOa],bEfMX)
}
}
return true;
}
function ffXiv(e)
{
if(window.event){return e.keyCode;}
else 
if(e.which) return  e.which;
return-1;
}
function WA_onkeypress(e)
{
var VFYQL=ffXiv(e);
if(WA_Dialog.fJtKv)
{
if(WA_Dialog.fJtKv.onkeypress(VFYQL))
{
return false;
}
}
return kGrmV("keypress",[VFYQL]);
}
function WA_ondblclick(e)
{
return kGrmV("dblclic",[""]);
}
function WA_onkeydown(e)
{
var VFYQL=ffXiv(e)
if(WA_Dialog.fJtKv)
{
if(WA_Dialog.fJtKv.onkeydown(VFYQL))
{
return false;
}
}
if(VFYQL==13) return true;

if(wa_global_photo_album&&wa_global_photo_album.fullpage_object)
{
var vldDd=wa_global_photo_album.fullpage_object
return vldDd.onFullScreenKeydown(VFYQL) 
}
return kGrmV("keydown",[VFYQL]);
}
function WA_genericMouseWheelHandler(e)
{
var delta=0;
if(!e) e=window.event;
if(e.wheelDelta){
delta=e.wheelDelta/120;
if(window.opera) delta=-delta;
}else if(e.detail){
delta=-e.detail/3;
}
if(navigator.userAgent.match(/opera/i)) delta=-delta;
var b_default=false;
if(delta)
{
if(document.wa_global_handlers!=undefined)
{
var IYBOa=this.id
var eEOSg=document.wa_global_handlers[IYBOa+"-mousewheel"]
if(eEOSg)
{
if(eEOSg([IYBOa],[delta]))
{
b_default=true;
}
}
}
}
if(b_default)
if(e.preventDefault)
e.preventDefault();
e.returnValue=!b_default;
}
function WA_addHandler(IYBOa,Fpxtk,wNiFQ)
{
if(document.wa_global_handlers==undefined) document.wa_global_handlers=new Array()
if(Fpxtk=="mousewheel")
{
var WtSfX=document.getElementById(IYBOa);
if(WtSfX.addEventListener)
WtSfX.addEventListener('DOMMouseScroll',WA_genericMouseWheelHandler,false);
WtSfX.onmousewheel=WA_genericMouseWheelHandler
}
document.wa_global_handlers[IYBOa+"-"+Fpxtk]=wNiFQ
}
function WA_loadPhotoAlbum(IYBOa,JVJAw,mgPFn,IYBOa_modif)
{
if(typeof(wa_global_photo_album[IYBOa])=="undefined")
{
var o=new Array();
o.src_folder=JVJAw
o.size_container=mgPFn
o.id_modif=IYBOa_modif
wa_global_photo_album[IYBOa]=o;
}
}
function WA_focused_element()
{
return document.wa_global_focused_element
}
function WA_focus(vldDd)
{
document.wa_global_focused_element=vldDd.id
}
function WA_loadScript(url,callback,params)
{
var e=document.createElement("script");
e.src=url;
e.type="text/javascript";
e.onerror=function(){callback(params,false);}
if(/msie/i.test(navigator.userAgent)&&!/opera/i.test(navigator.userAgent)){
e.onreadystatechange=function(){
if((this.readyState=='complete')||(this.readyState=='loaded')){
callback(params,true);
}
}
}else
{
e.onload=function(){
if(/opera/i.test(navigator.userAgent))
wa_timeout(callback,0,params,true);
else
callback(params,true);
}
}
document.getElementsByTagName("head")[0].appendChild(e);
}
function WA_blog_declare(foOwo,mgbHP,ZEEuX)
{
if(!document.wa_global_blogs_elements)document.wa_global_blogs_elements=new Array()
if(!document.wa_global_blogs_buttons)document.wa_global_blogs_buttons=new Array()
if(!document.wa_global_blogs_elements[mgbHP])document.wa_global_blogs_elements[mgbHP]=new Array()
document.wa_global_blogs_elements[mgbHP].id_blog=foOwo
document.wa_global_blogs_elements[mgbHP].has_email=ZEEuX
}
function WA_addSearchHandler(IYBOa)
{
return WA_addHandler(IYBOa,"keypress",UVROt)
}
function UVROt(IYBOa,bEfMX)
{
var VFYQL=bEfMX[0]
if(VFYQL==13)
{
var xxvJr=IYBOa+"-search-input";
WA_onSearch(xxvJr)
return false;
}
return true;
}
function WA_declareSearchIndex(VWNhk,sQkwo)
{
document.const_wa_search_js=VWNhk
document.const_wa_search_index_js=sQkwo
}
function WA_onSearch(xxvJr)
{
var SkDXT=document.getElementById(xxvJr);
if(document.wa_search_js_loaded==true)
{
WA_openSearchDialog(SkDXT,document.const_wa_search_index_js)
}
else
{
WA_Dialog.progress();
ihlIi(SkDXT)
}
}
function qNshB(bEfMX)
{
document.wa_search_js_loaded=true
WA_openSearchDialog(bEfMX[0],document.const_wa_search_index_js)
}
function ihlIi(SkDXT_field)
{
WA_loadScript(document.const_wa_search_js,qNshB,[SkDXT_field])
}
function VRaSh(offset){
var endstr=document.cookie.indexOf(";",offset);
if(endstr==-1)
endstr=document.cookie.length;
return unescape(document.cookie.substring(offset,endstr));
}
function WA_GetCookie(name)
{
var arg=name+"=";
var alen=arg.length;
var clen=document.cookie.length;
var i=0;
while(i<clen)
{
var j=i+alen;
if(document.cookie.substring(i,j)==arg)
return VRaSh(j);
i=document.cookie.indexOf(" ",i)+1;
if(i==0) break;
}
return "";
}
function WA_SetCookie(name,value){
var argv=WA_SetCookie.arguments;
var argc=WA_SetCookie.arguments.length;
var expires=(argc>2)?argv[2]:null;
var path=(argc>3)?argv[3]:null;
var domain=(argc>4)?argv[4]:null;
var secure=(argc>5)?argv[5]:false;
document.cookie=name+"="+escape(value)+((expires==null)?"":("; expires="+expires.toGMTString()))+((path==null)?"":("; path="+path))+((domain==null)?"":("; domain="+domain))+((secure==true)?"; secure":"");
}
function WA_bg_menu(IYBOa)
{
var BquLY=document.wa_global_menu_declaration[IYBOa]
WA_bg(IYBOa,BquLY.root_lx,BquLY.root_ly,BquLY.root_corner,BquLY.root_border,BquLY.root_col_border,[BquLY.root_bg],false,0)
var hGGhu=document.getElementById(BquLY.id)
if(!hGGhu)return;
var c=hGGhu.getContext('2d');
c.lineWidth=1
c.strokeStyle=BquLY.root_col_separator
var scMUt=0.5;

var eEPgs=BquLY.root_sizes.length
if(BquLY.root_extend==false)
{
eEPgs--;
}
var OdpCF=3;
for(var i=0;i<eEPgs;i++)
{
var mgPFn=BquLY.root_sizes[i] 

c.beginPath();
if(BquLY.root_vertical==false)
{
scMUt+=(mgPFn-1)
c.moveTo(scMUt,OdpCF)
c.lineTo(scMUt,BquLY.root_ly-OdpCF)
}
else
{
scMUt+=(mgPFn)
c.moveTo(OdpCF,scMUt-1,0)
c.lineTo(BquLY.root_lx-OdpCF,scMUt-1)
}
c.closePath();
c.stroke()
}
}
function WA_declare_menu(IYBOa,BquLY)
{
if(!document.wa_global_menu_declaration)document.wa_global_menu_declaration=new Array();
BquLY.id=IYBOa
document.wa_global_menu_declaration[IYBOa]=BquLY
WA_bg_menu(IYBOa)
}
function WA_declareMarket(IYBOa,nPbPE_market,IYBOa_modif)
{
if(typeof(wa_global_market.markets[IYBOa])=="undefined")
{
var o=new Array();
o.src_folder=nPbPE_market
o.id_modif=IYBOa_modif 

o.id=IYBOa
wa_global_market.markets[IYBOa]=o;
}
}
function WA_button_market_declare(IYBOa,BJKDi)
{
if(!document.wa_global_button_market_declaration)document.wa_global_button_market_declaration=new Array();
document.wa_global_button_market_declaration[IYBOa]=BJKDi
}
function OcOGV(c,img,ZVGoN,ocCUQ,IicTl,tjQrH,Epgul,RVuZs,rFMoG)
{
c.globalAlpha=RVuZs
if(rFMoG) c.clearRect(0,0,IicTl,tjQrH) 
if(RVuZs==0)return;
if(Epgul)
{
c.drawImage(img,Epgul.x,Epgul.y,Epgul.width,Epgul.height,ZVGoN,ocCUQ,IicTl,tjQrH)
}
else
{
c.drawImage(img,ZVGoN,ocCUQ,IicTl,tjQrH)
}
}
function WA_drawImage(id,skIBi,ZVGoN,ocCUQ,IicTl,tjQrH,Epgul,RVuZs,rFMoG)
{
if(rFMoG==undefined)rFMoG=true;
if(RVuZs==undefined)RVuZs=1.0;
var el=document.getElementById(id)
if(!el)return
var c=el.getContext('2d');
c.shadowOffsetX=0;c.shadowOffsetY=0;c.shadowBlur=0;
if(c.old_src==skIBi)
{
OcOGV(c,c.HfGYS,ZVGoN,ocCUQ,IicTl,tjQrH,Epgul,RVuZs,rFMoG)
return;
}
var img=new Image();
img.gpJBv=el.gpJBv
img.onload=function()
{
c.old_src=skIBi
c.HfGYS=this;
OcOGV(c,this,ZVGoN,ocCUQ,IicTl,tjQrH,Epgul,RVuZs,rFMoG)
}
img.src=skIBi;
}

-->
